> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single subscription detail by ID

> Operacion: Get a single subscription detail by ID.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/subscription_details/get/{subscription_detail_id}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_details/get/{subscription_detail_id}:
    get:
      tags:
        - Subscription Details
      summary: Get a single subscription detail by ID
      description: 'Operacion: Get a single subscription detail by ID.'
      operationId: SubscriptionDetailsController_getById
      parameters:
        - name: subscription_detail_id
          required: true
          in: path
          description: Subscription UUID
          schema:
            type: string
      responses:
        '200':
          description: Subscription details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionDetailsResponseDto'
        '404':
          description: Subscription not found
      security:
        - bearerAuth: []
components:
  schemas:
    SubscriptionDetailsResponseDto:
      type: object
      properties:
        subscription_detail_id:
          type: string
        subscription_plan_id:
          type: object
        gps_detail_id:
          type: object
        client_id:
          type: object
        vehicle_id:
          type: object
        fecha_inicio:
          type: object
        fecha_termino:
          type: object
        subscription_status_id:
          type: object
        subscription_frequency_id:
          type: object
        creation_date:
          type: object
        update_date:
          type: object
        subscriptionPlan:
          $ref: '#/components/schemas/SubscriptionPlanResponseDto'
        subscriptionStatus:
          $ref: '#/components/schemas/SubscriptionStatusResponseDto'
        subscriptionFrequency:
          $ref: '#/components/schemas/SubscriptionFrequencyResponseDto'
        vehicle:
          $ref: '#/components/schemas/VehicleResponseDto'
        child_client_id:
          type: object
          description: Child client ID if assigned to a subsidiary
        childClient:
          description: Child client info if assigned
          allOf:
            - $ref: '#/components/schemas/ClientBasicInfoDto'
      required:
        - subscription_detail_id
    SubscriptionPlanResponseDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: object
        subscription_currency_id:
          type: number
        currency_name:
          type: object
        currency_value:
          type: object
        description:
          type: object
      required:
        - id
        - subscription_currency_id
    SubscriptionStatusResponseDto:
      type: object
      properties:
        subscription_status_id:
          type: number
        name:
          type: string
      required:
        - subscription_status_id
        - name
    SubscriptionFrequencyResponseDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
      required:
        - id
        - name
    VehicleResponseDto:
      type: object
      properties:
        id:
          type: string
        license_plate:
          type: object
        name:
          type: object
        model:
          type: object
        brand:
          type: object
      required:
        - id
    ClientBasicInfoDto:
      type: object
      properties:
        client_id:
          type: string
        client_name:
          type: string
      required:
        - client_id
        - client_name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````